<div class="row">
    <div class="container">
        <img
            *ngFor="let slide of slicedSlides"
            [src]="slide.url"
            alt="Slide image"
            [style]="width"
            (click)="clicked(slide)"
        >
    </div>
</div>
  
<div class="col-md-1 form-group">
    <label>Num of slides</label>
    <input
        type="number"
        [(ngModel)]="numImages"
        class="form-control"
        name="numOfSlides"
        required
        min="0" max="{{(slides$ | async)?.length}}"
        (click)="onNumChange()"
    >
    <label>Timer</label>
    <input
        type="number"
        [(ngModel)]="time"
        class="form-control"
        name="timer"
        required
        min="0" max="{{(slides$ | async)?.length}}"
        (click)="onTimeChange()"
    >
</div>
